### Method

# Gegl Node detect

#### Declaration [src]

    GeglNode*
    gegl_node_detect (
      GeglNode* node,
      gint x,
      gint y
    )

#### Description [src]

Performs hit detection by returning the node providing data at a given coordinate pair. Currently operates only on bounding boxes and not pixel data.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

#### Return value

Type: `GeglNode`

The GeglNode providing the data ending up at `x`,`y` in the output of `node`.

The data is owned by the instance.